Bug 801838 - Confirmation page for private bug changes breaks Eclipse Mylyn
Confirmation page for private bug changes breaks Eclipse Mylyn
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
3.6
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
:
Depends On:
Blocks: 707246
  Show dependency treegraph
 
Reported: 2012-03-09 10:48 EST by Andrew Overholt
Modified: 2014-10-12 18:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-12 21:22:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2012-03-09 10:48:18 EST
Eclipse's Mylyn project [1] provides integration with, among other systems, Bugzilla.  Red Hat's confirmation page for modifications to private bugs has broken Mylyn's ability to be used with Red Hat Bugzilla.

For a future RHEL release we were hoping to update Mylyn to a version that could work with Red Hat Bugzilla but this bug makes that a bit irrelevant.

Is there any of getting this removed?  If not, I wonder if we can modify the transitions file [2] for Red Hat Bugzilla.

[1]
http://www.eclipse.org/mylyn

[2]
http://wiki.eclipse.org/Mylyn/Bugzilla_Connector#Custom_Transitions
Comment 1 Simon Green 2012-03-12 21:22:54 EDT
(In reply to comment #0)
> Is there any of getting this removed?

This can be removed on a per user or per product basis. Currently it is enabled on Red Hat, Internal and JBoss classified products.

> If not, I wonder if we can modify the
> transitions file [2] for Red Hat Bugzilla.

That is not something for the RHBZ to do.

Can I ask why you are using the web interface, and not one of the RPC interfaces for Bugzilla?

  -- simon
Comment 2 Andrew Overholt 2012-03-13 09:31:45 EDT
I'm not a developer of Mylyn so I can't speak authoritatively regarding the RPC vs. scraping.  I think there were issues in upstream bugzilla that forced them to default to web over xmlrpc.  Regardless, this definitely breaks use of Mylyn for all internal Red Hat users on bugs marked private.

If there's zero chance of removing this page, we will consider adding some documentation stating that Mylyn can't work with private bugs in Red Hat bugzilla.

Severin/Alex, do you think the state transitions file can be tailored for such bugs or is it a more generic NEW -> ASSIGNED -> ... kind of state machine description?
Comment 3 Simon Green 2012-03-13 22:08:50 EDT
(In reply to comment #2)
> I think there were issues in upstream bugzilla that forced them
> to default to web over xmlrpc.

When we move to Bugzilla 4.2, we will trying as close as possible to mirror upstream's RPC calls. However, there won't be 100% compatibility though.

> If there's zero chance of removing this page, we will consider adding some
> documentation stating that Mylyn can't work with private bugs in Red Hat
> bugzilla.

I think this is the best path. The RHBZ team make no assurances that the site can be scrapped successfully.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.